/*
 * This file is part of WebLookAndFeel library.
 *
 * WebLookAndFeel library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WebLookAndFeel library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.extended.painter;

import com.alee.laf.StyleConstants;

import java.awt.*;

/**
 * AlphaLayerPainter style class.
 *
 * @author Mikle Garin
 */

public final class AlphaLayerPainterStyle
{
    /**
     * Square size.
     */
    public static int squareSize = StyleConstants.ALPHA_RECT_SIZE;

    /**
     * Light square color.
     */
    public static Color lightSquareColor = StyleConstants.LIGHT_ALPHA;

    /**
     * Dark square color.
     */
    public static Color darkSquareColor = StyleConstants.DARK_ALPHA;
}