/*
 * This file is part of WebLookAndFeel library.
 *
 * WebLookAndFeel library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WebLookAndFeel library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.menu;

import java.awt.*;

/**
 * WebPopupMenuSeparator style class.
 *
 * @author Mikle Garin
 */

public final class WebPopupMenuSeparatorStyle
{
    /**
     * Separator color.
     */
    public static Color color = new Color ( 220, 220, 220 );

    /**
     * Separator stroke.
     * Set to null to use default stroke.
     */
    public static Stroke stroke = null;

    /**
     * Spacing between separator and menu items.
     */
    public static int spacing = 5;

    /**
     * Spacing between separator and popup menu border.
     */
    public static int sideSpacing = 4;
}